*** a/doc/src/sgml/ref/pg_dump.sgml
--- b/doc/src/sgml/ref/pg_dump.sgml
***************
*** 280,295 **** PostgreSQL documentation
       </varlistentry>
  
       <varlistentry>
-       <term><option>-i</></term>
-       <term><option>--ignore-version</></term>
-       <listitem>
-        <para>
-         A deprecated option that is now ignored.
-        </para>
-       </listitem>
-      </varlistentry>
- 
-      <varlistentry>
        <term><option>-j <replaceable class="parameter">njobs</replaceable></></term>
        <term><option>--jobs=<replaceable class="parameter">njobs</replaceable></></term>
        <listitem>
--- 280,285 ----
*** a/doc/src/sgml/ref/pg_dumpall.sgml
--- b/doc/src/sgml/ref/pg_dumpall.sgml
***************
*** 121,136 **** PostgreSQL documentation
       </varlistentry>
  
       <varlistentry>
-       <term><option>-i</></term>
-       <term><option>--ignore-version</></term>
-       <listitem>
-        <para>
-         A deprecated option that is now ignored.
-        </para>
-       </listitem>
-      </varlistentry>
- 
-      <varlistentry>
        <term><option>-o</></term>
        <term><option>--oids</></term>
        <listitem>
--- 121,126 ----
*** a/doc/src/sgml/ref/pg_restore.sgml
--- b/doc/src/sgml/ref/pg_restore.sgml
***************
*** 217,232 ****
       </varlistentry>
  
       <varlistentry>
-       <term><option>-i</option></term>
-       <term><option>--ignore-version</option></term>
-       <listitem>
-        <para>
-         A deprecated option that is now ignored.
-        </para>
-       </listitem>
-      </varlistentry>
- 
-      <varlistentry>
        <term><option>-I <replaceable class="parameter">index</replaceable></option></term>
        <term><option>--index=<replaceable class="parameter">index</replaceable></option></term>
        <listitem>
--- 217,222 ----
*** a/src/bin/pg_dump/pg_dump.c
--- b/src/bin/pg_dump/pg_dump.c
***************
*** 291,297 **** main(int argc, char **argv)
  		{"file", required_argument, NULL, 'f'},
  		{"format", required_argument, NULL, 'F'},
  		{"host", required_argument, NULL, 'h'},
- 		{"ignore-version", no_argument, NULL, 'i'},
  		{"jobs", 1, NULL, 'j'},
  		{"no-reconnect", no_argument, NULL, 'R'},
  		{"oids", no_argument, NULL, 'o'},
--- 291,296 ----
***************
*** 377,383 **** main(int argc, char **argv)
  
  	InitDumpOptions(&dopt);
  
! 	while ((c = getopt_long(argc, argv, "abcCd:E:f:F:h:ij:n:N:oOp:RsS:t:T:U:vwWxZ:",
  							long_options, &optindex)) != -1)
  	{
  		switch (c)
--- 376,382 ----
  
  	InitDumpOptions(&dopt);
  
! 	while ((c = getopt_long(argc, argv, "abcCd:E:f:F:h:j:n:N:oOp:RsS:t:T:U:vwWxZ:",
  							long_options, &optindex)) != -1)
  	{
  		switch (c)
***************
*** 418,427 **** main(int argc, char **argv)
  				dopt.pghost = pg_strdup(optarg);
  				break;
  
- 			case 'i':
- 				/* ignored, deprecated option */
- 				break;
- 
  			case 'j':			/* number of dump jobs */
  				numWorkers = atoi(optarg);
  				break;
--- 417,422 ----
*** a/src/bin/pg_dump/pg_dumpall.c
--- b/src/bin/pg_dump/pg_dumpall.c
***************
*** 95,101 **** main(int argc, char *argv[])
  		{"file", required_argument, NULL, 'f'},
  		{"globals-only", no_argument, NULL, 'g'},
  		{"host", required_argument, NULL, 'h'},
- 		{"ignore-version", no_argument, NULL, 'i'},
  		{"dbname", required_argument, NULL, 'd'},
  		{"database", required_argument, NULL, 'l'},
  		{"oids", no_argument, NULL, 'o'},
--- 95,100 ----
***************
*** 195,201 **** main(int argc, char *argv[])
  
  	pgdumpopts = createPQExpBuffer();
  
! 	while ((c = getopt_long(argc, argv, "acd:f:gh:il:oOp:rsS:tU:vwWx", long_options, &optindex)) != -1)
  	{
  		switch (c)
  		{
--- 194,200 ----
  
  	pgdumpopts = createPQExpBuffer();
  
! 	while ((c = getopt_long(argc, argv, "acd:f:gh:l:oOp:rsS:tU:vwWx", long_options, &optindex)) != -1)
  	{
  		switch (c)
  		{
***************
*** 226,235 **** main(int argc, char *argv[])
  				pghost = pg_strdup(optarg);
  				break;
  
- 			case 'i':
- 				/* ignored, deprecated option */
- 				break;
- 
  			case 'l':
  				pgdb = pg_strdup(optarg);
  				break;
--- 225,230 ----
*** a/src/bin/pg_dump/pg_restore.c
--- b/src/bin/pg_dump/pg_restore.c
***************
*** 88,94 **** main(int argc, char **argv)
  		{"format", 1, NULL, 'F'},
  		{"function", 1, NULL, 'P'},
  		{"host", 1, NULL, 'h'},
- 		{"ignore-version", 0, NULL, 'i'},
  		{"index", 1, NULL, 'I'},
  		{"jobs", 1, NULL, 'j'},
  		{"list", 0, NULL, 'l'},
--- 88,93 ----
***************
*** 147,153 **** main(int argc, char **argv)
  		}
  	}
  
! 	while ((c = getopt_long(argc, argv, "acCd:ef:F:h:iI:j:lL:n:Op:P:RsS:t:T:U:vwWx1",
  							cmdopts, NULL)) != -1)
  	{
  		switch (c)
--- 146,152 ----
  		}
  	}
  
! 	while ((c = getopt_long(argc, argv, "acCd:ef:F:h:I:j:lL:n:Op:P:RsS:t:T:U:vwWx1",
  							cmdopts, NULL)) != -1)
  	{
  		switch (c)
***************
*** 178,186 **** main(int argc, char **argv)
  				if (strlen(optarg) != 0)
  					opts->pghost = pg_strdup(optarg);
  				break;
- 			case 'i':
- 				/* ignored, deprecated option */
- 				break;
  
  			case 'j':			/* number of restore jobs */
  				numWorkers = atoi(optarg);
--- 177,182 ----
